package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业微信客户拉黑操作记录对象 qw_external_contact_black_log
 *
 * @author fs.qw
 * @date 2025-03-31
 */
public class QwExternalContactBlackLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @Excel(name = "id")
    private Long id;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private String externalUserId;

    /** 员工id */
    @Excel(name = "员工id")
    private Long companyUserId;

    /** 拉黑时的状态 */
    @Excel(name = "拉黑时的状态")
    private Integer status;

    /** 拉黑后的状态 */
    @Excel(name = "拉黑后的状态")
    private Integer blackStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setExternalUserId(String externalUserId)
    {
        this.externalUserId = externalUserId;
    }

    public String getExternalUserId()
    {
        return externalUserId;
    }
    public void setCompanyUserId(Long companyUserId)
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId()
    {
        return companyUserId;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setBlackStatus(Integer blackStatus)
    {
        this.blackStatus = blackStatus;
    }

    public Integer getBlackStatus()
    {
        return blackStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("externalUserId", getExternalUserId())
            .append("companyUserId", getCompanyUserId())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .append("blackStatus", getBlackStatus())
            .toString();
    }
}
